---

#! /zdci/db/releases/20250923132754/lkp-src/jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: gpio
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-skl-d08
tbox_group: lkp-skl-d08
job_file: "/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-gpio-debian-13-x86_64-20250902.cgz-b31c68fd851e-20250926-77071-7dfkc5-0.yaml"
id: d6e9bec1ddbecc5fe220b3686148ded1e48747b9
queuer_version: "/zdci/src/lkp"

#! /zdci/db/releases/20250923132754/lkp-src/hosts/lkp-skl-d08
model: Skylake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 3
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NC1P0B-part*"
rootfs_partition: "/dev/disk/by-id/ata-CT500MX500SSD1_2043E4BD593B-part3"
brand: Intel(R) Core(TM) i9-9980XE CPU @ 3.00GHz
netconsole_port: 6682
ucode: '0x2007006'

#! /zdci/db/releases/20250923132754/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20250923132754/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20250923132754/lkp-src/include/queue/cyclic
commit: b31c68fd851e74526ad963362ea205eb97b9a710

#! /zdci/db/releases/20250923132754/lkp-src/programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
- GPIOLIB: "y"
- GPIO_CDEV: "y"
- GPIO_MOCKUP: m
- GPIO_SIM: m
- GPIO_AGGREGATOR: m
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-kselftests
enqueue_time: 2025-09-26 15:44:46.662170056 +08:00
_rt: "/result/kernel-selftests/gpio/lkp-skl-d08/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/b31c68fd851e74526ad963362ea205eb97b9a710"
compiler: gcc-14
head_commit: 82f25162895af38e590d2ba5865cb4140f243f24
base_commit: f83ec76bf285bea5727f478a68b894f5543ca76e
branch: linux-devel/devel-hourly-20250921-180931
rootfs: debian-13-x86_64-20250902.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
arch: x86_64
max_uptime: 36000
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/gpio/lkp-skl-d08/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/b31c68fd851e74526ad963362ea205eb97b9a710/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/b31c68fd851e74526ad963362ea205eb97b9a710/vmlinuz-6.17.0-rc1-00007-gb31c68fd851e
- branch=linux-devel/devel-hourly-20250921-180931
- job=/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-gpio-debian-13-x86_64-20250902.cgz-b31c68fd851e-20250926-77071-7dfkc5-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kselftests
- commit=b31c68fd851e74526ad963362ea205eb97b9a710
- intremap=posted_msi
- max_uptime=36000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/b31c68fd851e74526ad963362ea205eb97b9a710/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/b31c68fd851e74526ad963362ea205eb97b9a710/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/b31c68fd851e74526ad963362ea205eb97b9a710/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20250902.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/kernel-selftests_20250918.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/kernel-selftests-x86_64-592a93fea16b-1_20250918.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250923132754/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-gpio-debian-13-x86_64-20250902.cgz-b31c68fd851e-20250926-77071-7dfkc5-0.cgz"
last_kernel: 6.17.0-rc3-00011-g9dfec4a51df9
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/b31c68fd851e74526ad963362ea205eb97b9a710/vmlinuz-6.17.0-rc1-00007-gb31c68fd851e"
result_root: "/result/kernel-selftests/gpio/lkp-skl-d08/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/b31c68fd851e74526ad963362ea205eb97b9a710/0"
user: lkp

#! /zdci/db/releases/20250926103819/lkp-src/include/site/shz
dequeue_time: 2025-09-26 17:19:36.634377351 +08:00
job_state: finished
loadavg: 2.68 0.93 0.33 1/443 4245
start_time: '1758878551'
end_time: '1758878564'
version: "/lkp/lkp/.src-20250926-134531:54e33fcd3295-dirty:a6563f291e32-dirty"
